// import { $http } from '@/common/http';


export default {
	login: '/user/auth/login',						//登录
	register: '/user/auth/register',				//注册
	logout: '/admin/signout',						//退出
	Qrcode: '/common/wx/mini/code',					//生成二维码
	sendCode: '/common/send/sms/code',				//发送验证码
	verifyCode: '/common/verify/sms/code', 			//验证短信验证码
	
	getUserInfo: '/user/user/info',
	
	// 首页
	getBannerList: '/user/setup/banner/get',		//轮播图
	getPlatformBannerList: '/user/platform/banner/get',//获取首页文章轮播图
	getArticleList:'/user/platform/article/get',	//获取文章列表
	
	// 宝宝档案
	getBabyList: '/user/baby/list',					//获取宝宝档案列表
	addBaby: '/user/baby/add',						//添加宝宝档案
	updateBaby: '/user/baby/update',				//编辑宝宝档案
	deleteBaby: '/user/baby/delete',				//删除宝宝档案
	getBabyListBySelf: '/user/baby/all/list',		//获取用户管理的宝宝列表
	getBabyInfo: '/user/baby/info',					//获取宝宝档案详情
	
	//喂养记录
	getBabyFeedList: '/user/baby/feed/list',		//获取喂养记录列表
	addBabyFeed: '/user/baby/feed/add',				//添加喂养记录
	updateBabyFeed: '/user/baby/feed/update',		//编辑喂养记录
	deleteBabyFeed: '/user/baby/feed/delete',		//删除喂养记录
	getBabyFeedInfo: '/user/baby/feed/info',
	
	//身高体重
	getBabyGrowthList: '/user/baby/growth/list',	//获取身高体重列表
	addBabyGrowth: '/user/baby/growth/add',			
	updateBabyGrowth: '/user/baby/growth/update',
	deleteBabyGrowth: '/user/baby/growth/delete',
	getBabyGrowthInfo: '/user/baby/growth/info',
	
	//成长备注
	getBabyRemarkList: '/user/baby/remark/list',	//获取成长备注列表
	addBabyRemark: '/user/baby/remark/add',
	updateBabyRemark: '/user/baby/remark/update',
	deleteBabyRemark: '/user/baby/remark/delete',
	getBabyRemarkInfo: '/user/baby/remark/info',
	
	// 家庭
	getFamilyList: '/user/baby/family/all/list',
	addFamily: '/user/baby/family/add',
	updateFamily: '/user/baby/family/update',
	deleteFamily: '/user/baby/family/delete',
	getFamilyListBySelf: '/user/baby/family/list',
	transferFamily: '/user/baby/family/transfer',
	getMemberListByTransfer: '/user/baby/family/transfer/member',
	inviteFamily: '/user/baby/family/invite/add',
	agreeFamilyInvite: '/user/baby/family/invite/agree',
	getFamilyInfo: '/user/baby/family/info',
	getMemberListByFamily: '/user/baby/family/member/list',
	
}
